## psignifit 2.5.6

=== psig-src/Makefile ===
SHELL = /bin/sh

# stage 2:
# CYGFLAG, DBFLAG and OUTDIR are all specified as constants within the makefile.
# The finished target turns ends up in OUTDIR, but the .o and .d  files are still
# mixed in with the source, and are given the same names even irrespective of
# CYGFLAG and DBFLAG.

CYGFLAG = 
DBFLAG  = -g
OUTDIR  = ~/bin

CC = gcc
CFLAGS = $(CYGFLAG) $(DBFLAG)
CXX = g++
CXXFLAGS = $(CYGFLAG) $(DBFLAG)
LD = gcc $(CYGFLAG) $(DBFLAG)
LDFLAGS = 
DEPEND_FLAG = -MM  # GNU compilers support -MM, others may only support -M

csource = $(wildcard *.c)
cppsource = $(wildcard *.cpp)
objects = $(csource:.c=.o) $(cppsource:.cpp=.o)
dependencies = $(objects:.o=.d)

# to put .o, .d in separate directory: when creating $(objects),
# do an additional pattern replace on objects so that $(OBJDIR)/
# is prefixed and -$(STEM) is inserted before the .o
# $(OBJDIR) and $(STEM) must then be taken into account in the %.d rules below


.PHONY: clean gnu dos mex gnu-db mex-db dos-db

gnu : $(OUTDIR)/psignifit

# gnu, gnu-db
# win, win-db
# mex, mex-db
# targets should be able to override $(STEM), $(CYGFLAG) and $(DBFLAG) accordingly
# $(STEM) should be equal to the target name, reflecting both the target and the debug
# status - then the only thing left ambiguous is the finished filename, and that can
# easily be forced to update using a flag to make


$(OUTDIR)/psignifit : $(objects)
	$(LD) $(LDFLAGS) -o $@ $(objects)

%.d : %.c
	@ set -e; $(CC) $(DEPEND_FLAG) $(CFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

%.d : %.cpp
	@ set -e; $(CXX) $(DEPEND_FLAG) $(CXXFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

include $(dependencies)

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@	
%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $< -o $@

clean :
	@ -rm $(objects) $(dependencies)

=== debian/changelog ===
psignifit (2.5.6-8) unstable; urgency=medium

  * Team upload.
  * DEP5 copyright
  * Fix watch file
  * Fix Homepage
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Nov 2021 18:24:25 +0100

psignifit (2.5.6-7) unstable; urgency=medium

  * Team Upload.
  * Fix arm64 CI (Closes: #975467)
  * Standards-Version: 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 04 Dec 2020 04:35:08 +0530

psignifit (2.5.6-6) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Move package to Debian Med team maintenance

  [ Nilesh Patra ]
  * Add autopkgtests
  * Fix copyright symlink to GPL-2
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 10 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 06 Nov 2020 19:39:55 +0530

psignifit (2.5.6-5) unstable; urgency=medium

  * Team upload.
  * Do not hard code the build architecture compiler as linker (Thanks for
    the patch to Helmut Grohne <helmut@subdivi.de>)
    Closes: #900139
  * ACK NMU 2.5.6-3.1
    Closes: #848933
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 09:18:16 +0100

psignifit (2.5.6-4) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debian/source/format: 3.0 (quilt)
  * Maintainer is NeuroDebian Team
  * Fix homepage
  * Try to fix d/watch but failed and drop some additional info in this file
  * hardening

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2018 22:48:17 +0100

psignifit (2.5.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.

    [ Joao Eriberto Mota Filho ]

  * Bumped DH level to 10. (Closes: #817631)
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Homepage field.

    [ Logan Rosen ]

  * debian/control: depend on ${misc:Depends}.
  * debian/install: install runexampledata.
  * debian/rules: Switch to dh sequencer.

    [ Matthias Klose ]

  * Fix FTBFS with ld --as-needed. (Closes: #641554, LP: #771008)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Dec 2016 20:29:49 -0200

psignifit (2.5.6-3) unstable; urgency=low

  * Use new-style homepage field in debian/control (Closes: #438805).
  * Mention VCS info in debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 26 Nov 2007 09:45:53 +0100

psignifit (2.5.6-2) unstable; urgency=low

  * Updated the FSF address in the copyright file.
  * Added debian/watch file.
  * Added debian/repackage.sh script to facilitate repackaging (Thanks to
    Yaroslav Halchenko).
  * Bumped Standard-Version to 3.7.2; no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 27 Jun 2006 20:01:57 +0200

psignifit (2.5.6-1) unstable; urgency=low

  * Initial Release. (closes: bug#325671)
  * Adjusted the Makefile to fix $DESTDIR problem. This included adding
    a proper 'install' target.
  * Added a simple manpage.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun,  7 Aug 2005 14:32:56 +0200

=== debian/control ===
Source: psignifit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/psignifit
Vcs-Git: https://salsa.debian.org/med-team/psignifit.git
Homepage: https://uni-tuebingen.de/fakultaeten/mathematisch-naturwissenschaftliche-fakultaet/fachbereiche/informatik/lehrstuehle/neuronale-informationsverarbeitung/research/software/psignifit-legacy/
Rules-Requires-Root: no

Package: psignifit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Fitting and testing hypotheses about psychometric functions
 Psignifit allows fitting of psychometric functions to datasets while
 maintaining full control over a large number of parameters. Data
 can either be read from text files or passed through a pipe.
 .
 Psignifit performs the calculation of confidence intervals as well as
 goodness-of-fit tests.
 .
 This is the command line version.
 .
 Please note: This is the legacy version 2.x of psignifit.

=== debian/watch ===
version=4

opts="uversionmangle=s/-/./g" \
https://uni-tuebingen.de/fakultaeten/mathematisch-naturwissenschaftliche-fakultaet/fachbereiche/informatik/lehrstuehle/neuronale-informationsverarbeitung/research/software/psignifit-legacy/psignifit-software/psignifit-download/ \
  .*/psignifit-(2-5-6)-tbx\.tgz

## psignifit 3.0~beta.20120503.1

=== Makefile ===
# vim: set fdm=marker:
######################################################################
#
#   See COPYING file distributed along with the psignifit package for
#   the copyright and license terms
#
######################################################################

# The main Psignifit 3.x Makefile

#################### VARIABLE DEFINITIONS ################### {{{

SHELL=/bin/bash
CLI_INSTALL=$(DESTDIR)/usr/bin
SPHINX_DOCOUT=doc-html
EPYDOC_DCOOUT=api
PSIPP_DOCOUT=psipp-api
PSIPP_SRC=src
LIBRARY_PATH=$(DESTDIR)/usr/lib/
LD_LIBRARY_PATH=src/build
PYTHON=python
NOSE=nosetests -v
CLI_SRC=cli
TODAY=`date +%d-%m-%G`
LONGTODAY=`date +%G%m%d`
RELEASE_TAG=release/3.0_beta.$(LONGTODAY).1
FILENAME_PREFIX=3.0_beta.$(LONGTODAY).1
ARCHIVE_PREFIX=psignifit_${FILENAME_PREFIX}/
TAR_FILE=psignifit_${FILENAME_PREFIX}.tar
ZIP_FILE=psignifit_${FILENAME_PREFIX}.zip
WINDOWS_CLI_INSTALLER=psignifit_${FILENAME_PREFIX}_installer.exe
WINDOWS_PY_INSTALLER=psignifit_${FILENAME_PREFIX}_win32-py2.6.exe
GIT_DESCRIPTION=`git describe`
CLI_VERSION_HEADER=cli/cli_version.h
MPSIGNIFIT_VERSION=mpsignifit/psignifit_version.m
PYPSIGNIFIT_VERSION=pypsignifit/__version__.py
.PHONY : swignifit ipython psipp-doc

#}}}

#################### GROUPING FILES ################### {{{

PYTHONFILES=$(addprefix pypsignifit/, __init__.py\
	psignidata.py\
	psignierrors.py\
	psigniplot.py\
	psigobservers.py\
	pygibbsit.py)
CFILES_LIB=$(addprefix src/, bootstrap.cc\
	core.cc\
	data.cc\
	linalg.cc\
	mclist.cc\
	mcmc.cc\
	optimizer.cc\
	psychometric.cc\
	rng.cc\
	sigmoid.cc\
	special.cc\
	getstart.cc )
HFILES_LIB=$(addprefix src/, bootstrap.h\
	core.h\
	data.h\
	errors.h\
	linalg.h\
	mclist.h\
	mcmc.h\
	optimizer.h\
	prior.h\
	psychometric.h\
	rng.h\
	sigmoid.h\
	special.h\
	psipp.h\
	getstart.h)
SWIGNIFIT_INTERFACE=swignifit/swignifit_raw.i
SWIGNIFIT_AUTOGENERATED=$(addprefix swignifit/, swignifit_raw.py swignifit_raw.cxx)
SWIGNIFIT_HANDWRITTEN=$(addprefix swignifit/, interface_methods.py utility.py)
DOCFILES=$(addprefix doc-src/, \
		ADDITIONALPLOTSBOOTSTRAP.rst \
		INSTALL_WINDOWS.rst BAYESINTRO.rst \
		CONTRIBUTING.rst \
		PSYCHOMETRICFUNCTIONS.rst \
		DESIGN.rst \
		QUICKSTART.rst \
		DIFFERENCES.rst \
		swig-api.rst \
		index.rst \
		TODO.rst \
		INFLUENTIAL.rst \
		TUTORIAL_BAYES.rst \
		INSTALL_LINUX.rst \
		TUTORIAL_BOOTSTRAP.rst \
		INSTALL_MAC.rst \
		WELCOME.rst \
		INSTALL_MATLAB.rst \
		*.png )
EPYDOC_TARGET=swignifit pypsignifit

# }}}

#################### MAIN DEFINITIONS ################### {{{

build: python-build

install: python-install psipp-install

doc: python-doc psipp-doc

clean: clean-python-doc clean-python psipp-clean cli-clean mpsignifit-clean

test: swignifit-test psipp-test

test-extended: test swignifit-test-interface-extended

# }}}

#################### PYTHON DEFINITIONS ################### {{{

python-install: | psipp-build python-version swig
	if [ -n "$(DESTDIR)" ] ; then \
		$(PYTHON) setup.py install --home=$(DESTDIR);\
	else \
		$(PYTHON) setup.py install;\
	fi

python-build: | psipp-build swignifit python-version

clean-python: swignifit-clean
	-rm -rv build
	-rm pypsignifit/*.pyc
	-rm $(PYPSIGNIFIT_VERSION)
	# when building with the windows_setup.py, a setup.pyc file is created
	-rm setup.pyc

python-doc: $(DOCFILES) $(PYTHONFILES) python-build
	mkdir -p $(SPHINX_DOCOUT)/$(EPYDOC_DCOOUT)
	# epydoc -o $(SPHINX_DOCOUT)/$(EPYDOC_DCOOUT) $(EPYDOC_TARGET)
	PYTHONPATH=.:doc-src LD_LIBRARY_PATH=src/build/ sphinx-build doc-src $(SPHINX_DOCOUT)

clean-python-doc:
	-rm -rv $(SPHINX_DOCOUT)

ipython: swignifit
	ipython

python-version:
	if git rev-parse &> /dev/null ; then \
		echo "version = '"$(GIT_DESCRIPTION)"'" > $(PYPSIGNIFIT_VERSION); \
	fi

# }}}

#################### PSIPP COMMANDS ################### {{{

psipp-build:
	cd $(PSIPP_SRC) && $(MAKE)

psipp-install: psipp-build
	if ! [ -d $(LIBRARY_PATH) ] ; then\
		mkdir -p $(LIBRARY_PATH);\
	fi
	cp $(PSIPP_SRC)/build/libpsipp.so $(LIBRARY_PATH)/

psipp-doc:
	doxygen

psipp-clean:
	cd $(PSIPP_SRC) && $(MAKE) clean
	-rm -rv $(SPHINX_DOCOUT)/$(PSIPP_DOCOUT)

psipp-uninstall:
	rm $(LIBRARY_PATH)/libpsipp.so

psipp-test:
	cd $(PSIPP_SRC) && $(MAKE) test

# }}}

################### CLI COMMANDS ###################### {{{

cli-install:  cli-version cli-build psipp-install
	if [ -d $(CLI_INSTALL) ]; then \
		echo $(CLI_INSTALL) " exists adding files"; \
	else \
		mkdir $(CLI_INSTALL); \
		echo ""; echo ""; echo ""; \
		echo "WARNING: I had to create " $(CLI_INSTALL) "you will most probably have to add it to your PATH"; \
		echo ""; echo ""; echo ""; \
	fi
	cd $(CLI_SRC) &&\
	cp psignifit-mcmc psignifit-diagnostics psignifit-bootstrap psignifit-mapestimate $(CLI_INSTALL)

cli-build: cli-version psipp-build
	cd $(CLI_SRC) && $(MAKE)

cli-clean:
	cd $(CLI_SRC) && $(MAKE) clean
	-rm $(CLI_VERSION_HEADER)

cli-test: cli-install
	$(PYTHON) tests/cli_test.py

cli-uninstall:
	rm $(CLI_INSTALL)/psignifit-mcmc
	rm $(CLI_INSTALL)/psignifit-diagnostics
	rm $(CLI_INSTALL)/psignifit-bootstrap
	rm $(CLI_INSTALL)/psignifit-mapestimate

cli-version:
	if git rev-parse &> /dev/null ; then \
		echo "#ifndef CLI_VERSION_H" > $(CLI_VERSION_HEADER) ; \
		echo "#define CLI_VERSION_H" >> $(CLI_VERSION_HEADER) ; \
		echo "#define VERSION \""$(GIT_DESCRIPTION)"\"" >> $(CLI_VERSION_HEADER) ; \
		echo "#endif" >> $(CLI_VERSION_HEADER) ; \
	fi

# }}}

#################### SWIGNIFIT COMMANDS ################### {{{

swig: $(SWIGNIFIT_AUTOGENERATED)

swignifit: $(PYTHONFILES) $(CFILES) $(HFILES) $(SWIGNIFIT_AUTOGENERATED) $(SWIGNIFIT_HANDWRITTEN) setup.py psipp-build
	$(PYTHON) setup.py build_ext -i

$(SWIGNIFIT_AUTOGENERATED): $(SWIGNIFIT_INTERFACE)
	swig -c++ -python -v -Isrc  -o swignifit/swignifit_raw.cxx swignifit/swignifit_raw.i

swignifit-clean:
	-rm -rv $(SWIGNIFIT_AUTOGENERATED)
	-rm -rv swignifit/_swignifit_raw.so
	-rm -rv swignifit/*.pyc

swignifit-test: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) \
		tests/swignifit_raw_test.py tests/interface_test.py tests/utility_test.py

swignifit-test-raw: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) tests/swignifit_raw_test.py

swignifit-test-interface: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) tests/interface_test.py

swignifit-test-utility: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) tests/utility_test.py

swignifit-test-interface-extended: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) tests/test_interface_extended.py

# }}}

#################### PYPSIGNIFIT COMMANDS ################### {{{

pypsignifit-test:
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(PYTHON) pypsignifit/psignidata.py

# }}}


#################### MPSIGNIFIT COMMANDS ################### {{{

mpsignifit-version:
	if git rev-parse &> /dev/null ; then \
		echo "function psignifit_version()" > $(MPSIGNIFIT_VERSION) ; \
		echo "disp('"$(GIT_DESCRIPTION)"')" >> $(MPSIGNIFIT_VERSION) ; \
	fi

mpsignifit-clean:
	-rm $(MPSIGNIFIT_VERSION)

# }}}

#################### DISTRIBUTION COMMANDS ################## {{{

dist-changelog:
	if [[ `git symbolic-ref HEAD` != refs/heads/master ]] ; then \
		echo "FATAL: not on master branch!"; \
		false; \
	fi
	echo `date +%Y-%m-%d` - Psignifit-3.x - $(RELEASE_TAG) > tmp
	echo >> tmp
	echo "* " >> tmp
	echo >> tmp
	cat changelog >> tmp
	cp changelog changelog_old
	cp tmp changelog
	vi changelog +3
	if diff tmp changelog; then \
		mv changelog_old changelog; \
		echo "FATAL: changelog not modified!"; \
		false; \
	else \
		git commit changelog -m "changelog entry for upload"; \
	fi

dist-tar: python-version cli-version mpsignifit-version
	git archive --format=tar --prefix=${ARCHIVE_PREFIX} master > ${TAR_FILE}
	tar --transform "s,^,${ARCHIVE_PREFIX}," -rf ${TAR_FILE} $(PYPSIGNIFIT_VERSION) $(CLI_VERSION_HEADER) $(MPSIGNIFIT_VERSION)
	gzip ${TAR_FILE}

dist-swigged: dist-tar swig
	tar xzf ${TAR_FILE}.gz
	cp swignifit/swignifit_raw.cxx swignifit/swignifit_raw.py ${ARCHIVE_PREFIX}swignifit/
	zip -r ${ZIP_FILE} ${ARCHIVE_PREFIX}
	rm -r ${ARCHIVE_PREFIX}

dist-win: build psignifit-cli.iss cli-version
	if [ -d WindowsInstaller ]; then rm -r WindowsInstaller; fi
	cd cli && make clean && make -f MakefileMinGW
	wine $(HOME)/.wine/drive_c/Program\ Files/Inno\ Setup\ 5/ISCC.exe psignifit-cli.iss
	mv WindowsInstaller/psignifit-cli_3_beta_installer.exe ${WINDOWS_CLI_INSTALLER}

dist-win-python-installer: swig
	# Execute on Windows only!
	python windows_setup.py bdist_wininst

dist-upload-doc: python-doc
	# this upload will only work with Ingo's account
	scp -r doc-html/* igordertigor,psignifit@web.sourceforge.net:/home/groups/p/ps/psignifit/htdocs/
	git tag doc-$(LONGTODAY)
	git push origin doc-$(LONGTODAY)

dist-prepare-upload: dist-swigged dist-win
	mkdir ${ARCHIVE_PREFIX}
	cp ${ZIP_FILE} ${WINDOWS_CLI_INSTALLER} ${ARCHIVE_PREFIX}
	if [ -d dist ]; then \
		cp dist/pypsignifit-3.0beta.win32-py2.6.exe ${ARCHIVE_PREFIX}/${WINDOWS_PY_INSTALLER}; \
	else \
		echo "Installer for Python w32 has not been built; will be omitted in Upload."; \
	fi

dist-upload-archives: | dist-changelog dist-git-tag-release dist-prepare-upload
	# this upload will only work with Ingo's account
	scp -rv ${ARCHIVE_PREFIX} igordertigor,psignifit@frs.sourceforge.net:/home/frs/project/p/ps/psignifit/
	#rm -r psignifit3.0_beta_$(TODAY)
	git push origin master
	git push origin $(RELEASE_TAG)

dist-git-tag-release:
	if git tag | grep -q $(RELEASE_TAG) ; then \
		echo "A rare case of tagging twice in a day?"; \
		echo "The tag "$(RELEASE_TAG)" exists already."; \
		echo "Currently we do not support this"; \
		false; \
	fi
	git tag -s -m "Psignifit-3.x $(RELEASE_TAG)"  $(RELEASE_TAG)

# }}}

=== debian/changelog ===
psignifit (3.0~beta.20120503.1-1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 14 May 2012 11:02:34 -0400

psignifit (3.0~beta.20120503.1-1) unstable; urgency=low

  * Bumped standards version from 3.9.2 to 3.9.3, no changes required
  * Bumped the copyright year.
  * Add python-tk as dependency, ndtools showed that test fail without it
  * Add a patch to fix test precision on i386 in patches/test_precision
  * Inject debian version number into python module
  * Fix unversioned copyright format uri
  * This is a combined bugfix and feature release from upstream
  * Initial release (Closes: #580499)

 -- Nikolaus Valentin Hänel <valentin.haenel@gmx.de>  Wed, 09 May 2012 19:34:42 +0200

psignifit (3.0~beta.20111109.1-1) neurodebian; urgency=low

  * Neurodebian testing release

 -- Michael Hanke <mih@debian.org>  Wed, 09 Nov 2011 14:19:32 +0100

=== debian/control ===
Source: psignifit
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Nikolaus Valentin Hänel <valentin.haenel@gmx.de>
Uploaders: Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, swig (>= 1.3.40~),
  python-support (>= 0.6), python-nose, python-numpy, python-matplotlib,
  python-scipy, python-tk
Standards-Version: 3.9.3
Homepage: http://psignifit.sourceforge.net
Vcs-Git: git://psignifit.git.sf.net/gitroot/psignifit/psignifit
Vcs-Browser: http://psignifit.git.sf.net/git/gitweb-index.cgi

Package: python-pypsignifit
Section: python
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy,
  python-matplotlib, python-scipy
Description: psychometric analysis of psychophysics data in Python
 Psignifit allows fitting of psychometric functions to datasets while
 maintaining full control over a large number of parameters. Psignifit
 performs the calculation of confidence intervals as well as goodness-of-fit
 tests. In addition it offers:
 .
  * full Bayesian treatment of psychometric functions including Bayesian
    model selection and goodness of fit assessment
  * identification of influential observations and outlier detection
  * flexible shape definition of the psychometric function
 .
 This package provides the Python bindings.
